#!/bin/sh

#  mpeg2sony_mpeg2avid.sh
#  RLIngest
#
#  Created by Rui Loureiro on 24/08/12.
#  Copyright (c) 2012 Rui Loureiro. All rights reserved.
# FFMPEG
# $1 = ffmpeg cmd
# $2 = caminho
# $3 = outCaminhoOP1A
#
# BMXTRANSWRAP
# $4 = bmxtranswrap cmd
# $5 = outCaminhoOPAtom
# $6 = project
# $7 = clipName
# $8 = tape
# $9 = take
# $10 = comment
# $11 = mxf (flag para ficheiros mxf op1a do XDCAM Browser)
# $12 = sync point locator

if [ "${11}" != "mxf" ]
then
    $1 -y -i "$2" -f mxf -vcodec copy -acodec pcm_s16le -ac 2 "$3"
    $4 -p -t avid -o "$5" --project "$6" --clip "$7" --tape "$8" --tag "Take" "$9" --comment "${10}" --locator "o${12}" "Sync Point" "red" "$3"
    /bin/rm -fv "$3"
else
        $4 -p -t avid -o "$5" --group --project "$6" --clip "$7" --tape "$8" --tag "Take" "$9" --comment "${10}" --locator "o${12}" "Sync Point" "red" --ess-marks "$2"
fi